/*
Simple four channel signal plot.
    Copyright (C) 2006  by Malte Marwedel

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef FIFOTHREAD_H
  #define FIFOTHREAD_H

#define fifo_size 100000

int volatile fifo_data[fifo_size];	//FIFO
int fifo_rp;
pthread_t fifo_recive_thread_id;

void fifo_clear(void);
void fifo_rp_next(void);
void *fifo_recive_thread(void * arg);

#endif
